
Figure - Bug #114659
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】先手动清除recent中的应用卡片，清除完毕后立马点击小窗应用中的任意应用
，小窗被打开后马上被关闭
2022-12-16 18:44 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Reproducibility: Every time Fixed Version: 2022-12-23

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、任意打开两个应用后关闭

2、进入recent

3、手动清除recent中的应用卡片

4、清除完毕后立马点击小窗应用中的任意应用

【预期结果】

4、小窗被正常打开

【实际结果】

4、小窗被打开后马上被关闭

History

#1 - 2022-12-20 17:34 - CD APP-李德盛

- Assignee changed from CD APP-王营 to CD APP-李德盛

#2 - 2022-12-22 15:46 - CD APP-李德盛

- Status changed from New to ASSIGNED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

■ Current conclusion

时序问题，导致新启动的小窗应用被kill

■ My analysis

上划删除完所有卡片后，会额外执行一段动画，结束后会清空后台任务，导致新启动的小窗被kill掉。现改为只播放动画，不清空任务。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/171601
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/171601


#3 - 2022-12-22 16:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171601 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Fix free window close bug1. After all tasks are deleted, only animation is performed, but removeAllRecentTasks is not performed.TC-RID:

1201-0205302IssueID: TS-R-BUG-114659Change-Id: I4f27db90dcfb696844fc06b5eb79b66f22e5176a

#4 - 2022-12-22 16:27 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD TEST-方永红

- Fixed Version set to 2022-12-23

- Root cause set to 编码问题

#5 - 2022-12-27 11:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

12.27

验证通过

#6 - 2022-12-27 11:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-16 18-43-17.mp4 18.5 MB 2022-12-16 CD TEST-方永红
